<?php

$status = Dever::config('base')->status;

# 每页的数据量
$page = 10;

$cate = function()
{
	$array = array();
	$info = Dever::db('content/cate')->select(array('type' => 2));
	if($info)
	{
		$array += $info;
	}
	return $array;
};

$author = function()
{
	$array = array();
	$info = Dever::db('content/author')->state();
	if($info)
	{
		$array += $info;
	}
	return $array;
};

$yes = array
(
    1 => '是',
    2 => '否',
);

# 常用的col
$col = 'id,cate_id,name,pic_cover,pic,num_add_view+num_view as num_view,num_add_up+num_up as num_up,author_id,`desc`,pdate,cdate,tag';

return array
(
	# 表名
	'name' => 'album',
	# 显示给用户看的名称
	'lang' => '相册管理',
	'order' => 99,

	# 同步更新另外一个或多个表的数据
	'syncone' => array
	(
		'content/search' => array
		(
			# 更新另外一个表的字段 => 本表的字段
			'where' => array('data_id' => 'id', 'type' => 2),
			# 要更新的数据
			'update' => array('data_id' => 'id', 'type' => 2, 'pdate' => 'pdate', 'reorder' => 'reorder', 'name' => 'name', 'status' => 'status', 'cate_id' => 'cate_id', 'state' => 'state'),
		)
	),

	'end' => array
	(
		'insert' => array('content/lib/author.data?source_table=content/album','tag/lib/core.data?source_table=content/album'),
		'update' => array('content/lib/author.data?source_table=content/album','tag/lib/core.data?source_table=content/album'),
	),

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '标题',
			'default' 	=> '',
			'desc' 		=> '标题',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
			'search'	=> 'fulltext',
			//增加预览
			'preview'	=> true,
		),

		'desc'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '摘要',
			'default' 	=> '',
			'desc' 		=> '摘要',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'cate_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属栏目',
			'default' 	=> '1',
			'desc' 		=> '所属栏目',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $cate,
			'search'	=> 'select',
			'list'		=> 'Dever::load("content/cate-one#name", {cate_id})',
		),

		'author_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '作者',
			'default' 	=> '1',
			'desc' 		=> '作者',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			//'option'	=> $author,
			'search'	=> 'select',
			'update_search'	=> 'content/lib/author.search',
		),

  		'pic_cover'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '封面图',
			'default' 	=> '',
			'desc' 		=> '封面图',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '345*200',
		),

		'pic'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '多张图片',
			'default' 	=> '',
			'desc' 		=> '多张图片',
			'match' 	=> 'option',
			'update'	=> 'images',
			'key' 		=> '1',
			//'place'		=> '345*200',
		),

		'tag'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '标签',
			'default' 	=> '',
			'desc' 		=> '标签',
			'match' 	=> 'is_numeric',
			'update'	=> 'selects',
			//'search'	=> 'fulltext',
			'update_search'	=> 'tag/lib/core.search',
		),

		'num_add_view'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '浏览量基数',
			'default' 	=> '0',
			'desc' 		=> '浏览量基数',
			'match' 	=> 'option',
			//'update'	=> 'text',
		),

		'num_view'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '浏览量',
			'default' 	=> '0',
			'desc' 		=> '请填写浏览量',
			'match' 	=> 'option',
			'search'	=> 'order',
			'list'		=> '{num_view}+{num_add_view}',
		),

		'num_add_up'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '点赞量基数',
			'default' 	=> '0',
			'desc' 		=> '点赞量基数',
			'match' 	=> 'option',
			//'update'	=> 'text',
		),

		'num_up'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '点赞量',
			'default' 	=> '0',
			'desc' 		=> '请填写点赞量',
			'match' 	=> 'option',
			'search'	=> 'order',
			'list'		=> '{num_up}+{num_add_up}',
		),

		'top'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '是否精选推荐',
            'default'   => '2',
            'desc'      => '是否精选推荐',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $yes,
        ),

		'pdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '发布时间',
			'match' 	=> array('is_numeric', time()),
			'default'	=> '',
			'desc' 		=> '',
			'update'	=> 'date',
			'callback'	=> 'maketime',
			'insert'	=> true,
			//'list'		=> 'date("Y-m-d H:i:s", {pdate})',
			'auth'		=> '"{pdate}" > 0',
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'udate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '更新时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
		),

		'status'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '发布状态',
			'default' 	=> '1',
			'desc' 		=> '发布状态',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			'option'	=> $status,
			'search'	=> 'select',
			'list'		=> true,
			'edit'		=> true,
		),

		'spider_data_id'=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '采集数据id',
			'default' 	=> '0',
			'desc' 		=> '采集数据id',
			'match' 	=> 'is_numeric',
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'admin_founder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '创建人',
			'default' 	=> '1',
			'desc' 		=> '创建人',
			'match' 	=> 'is_numeric',
		),

		'admin_editor'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '操作人',
			'default' 	=> '1',
			'desc' 		=> '操作人',
			'match' 	=> 'is_numeric',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	# 索引
	'index' => array
	(
		'version' => 1,
		
		1 => array
		(
			'i1' => 'cate_id,reorder',
		)
	),
	
	# 管理功能
	'manage' => array
	(
		//'insert' => false,
		# 列表
		'list_button' => array
		(
			//'edit' => array('预览', str_replace('https://api.', 'http://www.', Dever::url('main/preview.get?type=1'))),
		),
	),

	# request 请求接口定义
	'request' => array
	(
		'search' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'ids' => array('yes-id', 'in'),
				'cate_id' => 'yes',
				'name' => array('yes', 'like'),
				'id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'pdate' => 'desc'),
			'limit' => '0,1000',
			'col' => 'name as name, id, id as value, "" as selected, "" as disabled|id',
		),

		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'cate_id' => 'yes',
				'cate_ids' => array('yes-cate_id', 'in'),
				'id' => 'yes',
				'status' => 1,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','pdate' => 'desc'),
			'page' => array($page, 'list'),
			'col' => $col,
		),

		'getList' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'cate_id' => 'yes',
				'status' => 1,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('pdate' => 'desc'),
			'limit' => '0,5',
			'col' => $col,
		),

		# 获取首页推荐
		'getTop' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'cate_id' => 'yes',
				'status' => 1,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('top' => 'asc', 'reorder' => 'desc','pdate' => 'desc'),
			'limit' => '0,4',
			'col' => $col,
		),

		'getRelation' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'cate_id' => 'yes',
				'cate_ids' => array('yes-cate_id', 'in'),
				'noid' => array('yes-id', '!='),
				'status' => 1,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','pdate' => 'desc'),
			'limit' => '0,2',
			'col' => $col,
		),

		'getOne' => array
		(
			# 匹配的正则或函数 选填项
			'where' => array
			(
				'id' => 'yes',
			),
			'type' => 'one',
			'col' => $col,
		),
		
		# 更新浏览量
		'addView' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_view' => array('1', '+='),
			),
		),

		# 更新点赞量
		'addUp' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_up' => array('1', '+='),
			),
		),

		'findPrev' => array
		(
			# 匹配的正则或函数 选填项
			'where' => array
			(
				'cate_id' => 'yes',
				'id' => array('yes', '<'),
				'status' => 1,
				'state' => 1,
			),
			'type' => 'one',
			'order' => array('reorder' => 'desc','pdate' => 'desc'),
			'col' => $col,
		),

		'findNext' => array
		(
			# 匹配的正则或函数 选填项
			'where' => array
			(
				'cate_id' => 'yes',
				'id' => array('yes', '>'),
				'status' => 1,
				'state' => 1,
			),
			'order' => array('reorder' => 'asc','pdate' => 'asc'),
			'type' => 'one',
			'col' => $col,
		),
	),
);
