<?php

$cate = function()
{
    $array = array(-1 => array('name' => '父级栏目'));
    $cate = Dever::load('content/cate-get');
    if($cate)
    {
        $array += $cate;
    }
    return $array;
};

$type = array
(
    1 => '文章',
    2 => '相册',
    3 => '视频',
);

$menu = array
(
    1 => '是',
    2 => '否',
);

return array
(
    # 表名
    'name' => 'cate',
    # 显示给用户看的名称
    'lang' => '栏目设置',
    # 后台菜单排序
    'order' => 9,

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-32',
            'name'      => '栏目名称',
            'default'   => '',
            'desc'      => '请输入名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'cate_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '上级栏目',
            'default'   => '-1',
            'desc'      => '请选择上级栏目',
            'match'     => 'is_numeric',
            'update'    => 'select',
            'search'    => 'select',
            'value'     => Dever::input('add_cate', -1),
            'list'      => '{cate_id} > 0 ? Dever::load("content/cate-one#name", {cate_id}) : "父级菜单"',
            'option'    => $cate,
            //'edit'        => true,
        ),

        'type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '栏目分类',
            'default'   => '1',
            'desc'      => '栏目分类',
            'match'     => 'is_numeric',
            'update'    => 'select',
            'option'    => $type,
            'search'    => 'select',
            'list'      => true,
        ),

        'menu'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '是否显示在菜单',
            'default'   => '1',
            'desc'      => '是否显示在菜单',
            'match'     => 'is_numeric',
            'update'    => 'select',
            'option'    => $menu,
        ),

        'link'      => array
        (
            'type'      => 'varchar-150',
            'name'      => '链接-填写链接则跳转至该链接，为空则自动生成站内链接',
            'default'   => '',
            'desc'      => '链接',
            'match'     => 'option',
            'update'    => 'text',
            //'search'  => 'fulltext',
            //'list'        => true,
        ),
        
        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序(数值越大越靠前)',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    # 默认值
    'default' => array
    (
        'col' => 'name,reorder,cdate',
        'value' => array
        (
            '"默认栏目",100,' . time(),
        ),
    ),

    'manage' => array
    (
        'list_type' => 'tree',
        'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
        # 快捷更新
        'list_button' => array
        (
            'edit' => array('编辑'),
            'fast_add' => array('新增子菜单', '"cate&add_cate={id}"', '"{cate_id}" == -1'),
        ),
    ),

    'request' => array
    (
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc','id' => 'desc'),
            'col' => '*',
        ),

        'get' => array
        (
            'option' => array
            (
                'cate_id' => 'yes',
                'menu' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc','id' => 'desc'),
            'col' => '*',
        ),
    ),
);
