<?php

$status = Dever::config('base')->status;

# 每页的数据量
$page = 10;

# 常用的col
$col = '*';

$yes = array
(
    1 => '是',
    2 => '否',
);

return array
(
	# 表名
	'name' => 'person',
	# 显示给用户看的名称
	'lang' => '虚拟角色',
	'order' => 90,
	'end' => array
	(
		'insert' => array('content/lib/source.data?source_table=content/person'),
		'update' => array('content/lib/source.data?source_table=content/person'),
	),

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '姓名',
			'default' 	=> '',
			'desc' 		=> '姓名',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
			'search'	=> 'fulltext',
			//增加预览
			'preview'	=> true,
		),

		'desc'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '介绍',
			'default' 	=> '',
			'desc' 		=> '介绍',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'source_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '来源',
			'default' 	=> '1',
			'desc' 		=> '来源',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			//'option'	=> $author,
			'search'	=> 'select',
			'update_search'	=> 'content/lib/source.search',
		),

		'top'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '是否推荐',
            'default'   => '2',
            'desc'      => '是否推荐',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $yes,
        ),

  		'avatar'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '头像',
			'default' 	=> '',
			'desc' 		=> '头像',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150*150',
		),

		'pic_cover'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '封面图',
			'default' 	=> '',
			'desc' 		=> '封面图',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '260*205',
		),

		'pic'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '多张图片',
			'default' 	=> '',
			'desc' 		=> '多张图片',
			'match' 	=> 'option',
			'update'	=> 'images',
			'key' 		=> '1',
			//'place'		=> '345*200',
		),

		'profession'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '职业-多个用逗号隔开',
			'default' 	=> '',
			'desc' 		=> '职业',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'ability'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '能力标签-多个用逗号隔开',
			'default' 	=> '',
			'desc' 		=> '能力标签',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'education'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '学历',
			'default' 	=> '',
			'desc' 		=> '学历',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'bdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '生日',
			'match' 	=> 'is_numeric',
			'default'	=> '',
			'desc' 		=> '',
			'update'	=> 'date',
			'callback'	=> 'maketime',
		),

		'phone'		=> array
		(
			'type' 		=> 'varchar-20',
			'name' 		=> '联系电话',
			'default' 	=> '',
			'desc' 		=> '联系电话',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'email'		=> array
		(
			'type' 		=> 'varchar-220',
			'name' 		=> '联系邮箱',
			'default' 	=> '',
			'desc' 		=> '联系邮箱',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'address'		=> array
		(
			'type' 		=> 'varchar-520',
			'name' 		=> '地址',
			'default' 	=> '',
			'desc' 		=> '地址',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'skill'       => array
        (
            'type'      => 'text-1000',
            'name'      => '技能配置',
            'default'   => '',
            'desc'      => '技能配置',
            'match'     => 'is_string',
            'update'    => array
            (
                array
                (
                    'col'       => 'name',
                    'name'      => '技能名称',
                    'default'   => '',
                    'desc'      => '技能名称',
                    'match'     => 'option',
                    'update'    => 'text',
                ),

                array
                (
                    'col'       => 'level',
                    'name'      => '技能等级-满级为100',
                    'default'   => '80',
                    'desc'      => '技能等级',
                    'match'     => 'is_string',
                    'update'    => 'text',
                ),
            ),
        ),

        'learn'       => array
        (
            'type'      => 'text-1000',
            'name'      => '学习经历',
            'default'   => '',
            'desc'      => '学习经历',
            'match'     => 'is_string',
            'update'    => array
            (
                array
                (
                    'col'       => 'name',
                    'name'      => '名称',
                    'default'   => '',
                    'desc'      => '名称',
                    'match'     => 'option',
                    'update'    => 'text',
                ),

                array
                (
                    'col'       => 'desc',
                    'name'      => '描述-多个换行隔开',
                    'default'   => '',
                    'desc'      => '描述',
                    'match'     => 'is_string',
                    'update'    => 'textarea',
                ),
            ),
        ),

        'life'       => array
        (
            'type'      => 'text-1000',
            'name'      => '生活经历',
            'default'   => '',
            'desc'      => '生活经历',
            'match'     => 'is_string',
            'update'    => array
            (
                array
                (
                    'col'       => 'name',
                    'name'      => '名称',
                    'default'   => '',
                    'desc'      => '名称',
                    'match'     => 'option',
                    'update'    => 'text',
                ),

                array
                (
                    'col'       => 'desc',
                    'name'      => '描述-多个换行隔开',
                    'default'   => '',
                    'desc'      => '描述',
                    'match'     => 'is_string',
                    'update'    => 'textarea',
                ),
            ),
        ),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'udate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '更新时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
		),

		'status'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '发布状态',
			'default' 	=> '1',
			'desc' 		=> '发布状态',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			'option'	=> $status,
			'search'	=> 'select',
			'list'		=> true,
			'edit'		=> true,
		),

		'spider_data_id'=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '采集数据id',
			'default' 	=> '0',
			'desc' 		=> '采集数据id',
			'match' 	=> 'is_numeric',
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'admin_founder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '创建人',
			'default' 	=> '1',
			'desc' 		=> '创建人',
			'match' 	=> 'is_numeric',
		),

		'admin_editor'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '操作人',
			'default' 	=> '1',
			'desc' 		=> '操作人',
			'match' 	=> 'is_numeric',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'      => 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	# 管理功能
	'manage' => array
	(
		'button' => array
        (
        	'来源管理' => array('list', 'source&oper_parent=person'),
        ),
		//'insert' => false,
		# 列表
		'list_button' => array
		(
			//'edit' => array('预览', str_replace('https://api.', 'http://www.', Dever::url('main/preview.get?type=1'))),
		),
	),

	# request 请求接口定义
	'request' => array
	(
		'search' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'ids' => array('yes-id', 'in'),
				'source_id' => 'yes',
				'name' => array('yes', 'like'),
				'id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'id' => 'desc'),
			'limit' => '0,1000',
			'col' => 'name as name, id, id as value, "" as selected, "" as disabled|id',
		),

		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'source_id' => 'yes',
				'id' => 'yes',
				'status' => 1,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','id' => 'desc'),
			'page' => array($page, 'list'),
			'col' => $col,
		),

		# 获取首页推荐
		'getTop' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'status' => 1,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('top' => 'asc', 'reorder' => 'desc','id' => 'desc'),
			'limit' => '0,1',
			'col' => $col,
		),

		'getList' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'source_id' => 'yes',
				'status' => 1,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','id' => 'desc'),
			'limit' => '0,10',
			'col' => $col,
		),

		'getRelation' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'source_id' => 'yes',
				'noid' => array('yes-id', '!='),
				'status' => 1,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','id' => 'desc'),
			'limit' => '0,2',
			'col' => $col,
		),

		'getOne' => array
		(
			# 匹配的正则或函数 选填项
			'where' => array
			(
				'id' => 'yes',
			),
			'type' => 'one',
			'col' => $col,
		),
	),
);
