<?php
$status = Dever::config('base')->status;

$cate = function()
{
	$array = array();
	$info = Dever::db('content/cate')->select();
	if($info)
	{
		$array += $info;
	}
	return $array;
};
$type = array
(
    1 => '文章',
    2 => '相册',
    3 => '视频',
);

return array
(
	# 表名
	'name' => 'search',
	# 显示给用户看的名称
	'lang' => '搜索数据',
	# 后台菜单排序
	'order' => 7,
	'menu'	=> false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
			'order'		=> 'desc',
		),

		'cate_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属栏目',
			'default' 	=> '1',
			'desc' 		=> '所属栏目',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $cate,
			'search'	=> 'select',
			'list'		=> true,
		),

		'type'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '类型',
			'default' 	=> '1',
			'desc' 		=> '类型',
			'match' 	=> 'is_numeric',
			'update'	=> 'radio',
			'option'	=> $type,
			'search'	=> 'select',
			'list'		=> true,
			//'edit'		=> true,
		),

		'data_id'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '数据ID',
			'default' 	=> '',
			'desc' 		=> '数据id',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			//'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '标题',
			'default' 	=> '',
			'desc' 		=> '标题',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '发布状态',
			'default' 	=> '1',
			'desc' 		=> '发布状态',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			'option'	=> $status,
			'search'	=> 'select',
			'list'		=> true,
			'edit'		=> true,
		),
		
		'pdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '发布时间',
			'match' 	=> 'is_numeric',
			'default'	=> '',
			'desc' 		=> '',
			'update'	=> 'date',
			'callback'	=> 'maketime',
			'list'		=> 'date("Y-m-d H:i:s", {pdate})',
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			//'list'		=> true,
			'order'		=> 'desc',
			//'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
			'edit'		=> false,
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'delete' => false,
		'edit' => false,
		'insert' => false,
		'mul' => true,

		'list_button' => array
		(
			'edit' => array('预览', str_replace('https://api.', 'http://www.', Dever::url('main/preview.get?audit=1'))),
		),
	),

	# request 请求接口定义
	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'name' => array('yes', 'like'),
				'cate_id' => 'yes',
				'type' => 'yes',
				'type_no' => array('yes-type', '!='),
				'status' => 1,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','pdate' => 'desc'),
			'page' => array(12, 'list'),
			'col' => '*',
		),

		'getIn' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'id' => array('yes', 'in'),
			),
			'type' => 'all',
			'order' => array('id' => 'desc'),
			'col' => '*',
		),
	)
);
