<?php

namespace Main\Src;

use Dever;
use Main\Lib\Core;

class Api
{
    # 基本配置
    public function config()
    {
        $data = Dever::db('main/config')->one();

        $data['home_link'] = Dever::url('home');

        $data['qq_link'] = 'http://wpa.qq.com/msgrd?v=3&uin='.$data['qq'].'&site=qq&menu=yes';

        $data['phone_link'] = 'tel:' . $data['phone'];

        $data['email_link'] = 'http://mail.qq.com/cgi-bin/qm_share?t=qm_mailme&email=' . $data['email'];

        $data['search_link'] = Dever::url('search_list');
        $data['search_value'] = Dever::input('keyboard');

        return $data;
    }

    # 获取菜单
    public function menu()
    {
    	$uri = Dever::uri();
        $type = Dever::input('type');
        $menu = '';
        $menu .= '<li><a href="'.Dever::url('home').'">首页</a></li>';

        $where['menu'] = 1;
        $where['cate_id'] = -1;
        $cate = Dever::db('content/cate')->get($where);

        if ($cate) {
        	foreach ($cate as $k => $v) {
        		$where['cate_id'] = $v['id'];
        		$child = Dever::db('content/cate')->get($where);
        		if ($child) {
        			$menu .= '<li class="menu"><a href="#">'.$v['name'].'</a><ul class="sub">';
          			foreach ($child as $k1 => $v1) {
          				$menu .= '<li><a href="'.$this->getCateUrl($v1).'">'.$v1['name'].'</a></li>';
          			}
          			$menu .= '</ul><span></span></li>';
        		} else {
        			$menu .= '<li><a href="'.$this->getCateUrl($v).'">'.$v['name'].'</a></li>';
        		}
        	}
        }

        return $menu;
    }

    private function getCateUrl($v)
    {
    	if ($v['type'] == 1) {
			$url = Dever::url('blog?cid=' . $v['id']);
		} elseif ($v['type'] == 2) {
			$url = Dever::url('photos?cid=' . $v['id']);
		} elseif ($v['type'] == 3) {
			$url = Dever::url('videos?cid=' . $v['id']);
		}

		return $url;
    }

    # 获取广告
    public function ad()
    {
        $ad_title = Dever::input('ad_title', '首页');
        $ad_name = Dever::input('ad_name', 'home');
        $key = $ad_name . '_' . Dever::input('key');
        $name = $ad_title . Dever::input('name');
        return Dever::load('push/lib/data')->get($key, $name, 1, '1,5');
    }
    
    # 推荐位
    public function push()
    {
        $key = Dever::input('key', 'home_banner');
        $name = Dever::input('name', '首页banner');
        $num = Dever::input('num', 0);
        return Dever::load('push/lib/data')->get($key, $name, 5, '1,2,5', '10', false, $num);
    }

    # 获取标签信息
    public function getTagList()
    {
        $data = Dever::load('tag/api')->getList();

        if ($data) {
            foreach ($data as $k => $v) {
                $data[$k]['link'] = Dever::url('search_list?tid=' . $v['id'], 'main');
            }
        }

        return $data;
    }
}